Classes | UGens>Generators>Stochastic

# BrownNoise : WhiteNoise : UGen : AbstractFunction : Object

Brown Noise.
Source: Noise.sc
See also: ClipNoise, GrayNoise, PinkNoise, WhiteNoise

## Description

Generates noise whose spectrum falls off in power by 6 dB per octave.

## Class Methods

### BrownNoise.ar(mul: 1, add: 0)

From superclass: WhiteNoise

### BrownNoise.kr(mul: 1, add: 0)

From superclass: WhiteNoise

#### Arguments:

mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

compare:

    { BrownNoise.ar(0.1) }.play;
    { WhiteNoise.ar(0.1) }.play;

brownian noise as a frequency modulator:

    { SinOsc.ar(BrownNoise.ar(100, 200)) * 0.1 }.play;

filtered brown noise:

    { BPF.ar(BrownNoise.ar(0.1.dup), MouseX.kr(40, 17000, 1), 0.2) }.play;

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/BrownNoise.schelp
link::Classes/BrownNoise::